gmp: Fix compatibility with older libgmp releases
authorTobias Brunner <tobias@strongswan.org>
Tue, 23 Jan 2018 08:51:52 +0000 (09:51 +0100)
committerTobias Brunner <tobias@strongswan.org>
Wed, 31 Jan 2018 09:53:55 +0000 (10:53 +0100)
commit4a84fb07ca51220581ace7b9e30fc60ce7aa8fd7
treef5767f3faeb6582ad256d06757d925fbc58b7af2
parent432358cf49cbdfab507bec5341c9f5f36f390470
gmp: Fix compatibility with older libgmp releases

Older releases don't have mpz_powm_sec() and mpz_inits() yet.

Fixes #2505.
src/libstrongswan/plugins/gmp/gmp_rsa_private_key.c